
#ifndef _DATA_TYPES_H_
#define _DATA_TYPES_H_

//
//	datatypes.h
//
//
//	Copyright (C) PEAK-System Technik GmbH, Darmstadt
//	more Info at http://www.peak-system.com 
//


// use stdint.h
#include <stdint.h>


#ifndef NULL
#define	NULL		((void*)0)
#endif


// for legacy PCAN-Router
#define	u8_t		uint8_t
#define	s8_t		int8_t
#define	b8_t		char

#define	u16_t		uint16_t
#define	s16_t		int16_t
#define	b16_t		short

#define	u32_t		uint32_t
#define	s32_t		int32_t
#define	b32_t		int

#define	u64_t		uint64_t
#define	s64_t		int64_t
#define	b64_t		long long


typedef union {

uint8_t   data8[8];
uint16_t  data16[4];
uint32_t  data32[2];
uint64_t  data64;
} m64_t;


typedef union {

uint8_t   data8[4];
uint16_t  data16[2];
uint32_t  data32;
} m32_t;


#endif
